List trader executions
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/traders/{address}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/traders/{address}/trades \
--header 'X-API-Key: <api-key>'{
"data": [
{
"blockNumber": "<string>",
"blockTimestamp": "<string>",
"id": "<string>",
"logIndex": 1,
"positionId": "<string>",
"trader": "<string>",
"transactionHash": "<string>",
"pnlWad": "<string>"
}
]
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}List trader executions
GET
/
v1
/
traders
/
{address}
/
trades
List trader executions
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/traders/{address}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/traders/{address}/trades \
--header 'X-API-Key: <api-key>'{
"data": [
{
"blockNumber": "<string>",
"blockTimestamp": "<string>",
"id": "<string>",
"logIndex": 1,
"positionId": "<string>",
"trader": "<string>",
"transactionHash": "<string>",
"pnlWad": "<string>"
}
]
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}Authorizations
Tayho project API key with the scope declared by the operation.
Path Parameters
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
Pattern:
^(?:[1-9]|[1-9][0-9]|100)$Response
Successful response.
Show child attributes
Show child attributes
Last modified on July 24, 2026
⌘I